﻿
@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
    <script src="~/ADMIN/JS/persian-date.js"></script>
    <script src="~/ADMIN/JS/persian-datepicker-0.4.5.js"></script>
}

@section Styles{
        <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
    }

<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<Coupon>()
                                               .Name("grid")
                                               .Events(e => e.DataBound("DataBound"))
                                               .Events(e => e.Edit("Edit"))
                                               .Columns(columns =>
                                               {
                                                   columns.Bound(c => c.Name);
                                                   columns.Bound(c => c.discountType);
                                                   columns.Bound(p => p.Amount).ClientTemplate(

                                                              "# if (discountType == 0) { #" +
                                                                 "#=Amount# درصد" +
                                                               "# } else { #" +
                                                                     "#=Amount# تومان" +
                                                               "# } #"
                                                      );
                                                   columns.Bound(c => c.Start).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" });
                                                   columns.Bound(c => c.End).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" });
                                                   columns.Bound(c => c.Count);
                                                   columns.ForeignKey(p => p.CategoryID, (System.Collections.IEnumerable)ViewData["Categories"], "CategoryID", "Name").Title("گروه");
                                                   columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                                                   columns.Bound(c => c.IsActive).ClientTemplate(

                                                              "# if (IsActive) { #" +
                                                                     "فعال" +
                                                               "# } else { #" +
                                                                     "غیر فعال" +
                                                               "# } #"
                                                      );
                                                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                                               })
                                              .ToolBar(toolbar =>
                                              {
                                                  toolbar.Create().Text("افزودن کوپن تخفیف");
                                              })
                                              .Groupable()
                                              .ColumnMenu()

                                              .Editable(editable =>
                                              {
                                                  editable.Mode(GridEditMode.PopUp).Window(q => q.Width(480));
                                                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                              }
                                              )
                                              .Pageable(pageable => pageable
                                                   .Refresh(true)
                                                   .PageSizes(true)
                                                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                   .PageSizes(new int[] { 10, 20, 30 }))
                                              .Navigatable()
                                              .Selectable(selectable =>
                                              {
                                                  selectable.Mode(GridSelectionMode.Single);
                                                  selectable.Type(GridSelectionType.Row);
                                              })
                                              .Sortable(sortable =>
                                              {
                                                  sortable.SortMode(GridSortMode.SingleColumn);
                                              })
                                              .Filterable()
                                              .Scrollable(s => s.Height("auto").Enabled(false))
                                              .DataSource(dataSource => dataSource
                                                  .Ajax()
                                                  .Sort(sort => sort.Add("CouponID").Descending())
                                                  .Model(model => model.Id(p => p.CouponID))
                                                  .Read(read => read.Action("Coupons_Read", "Coupon"))
                                                  .Create(create => create.Action("Coupons_Create", "Coupon"))
                                                  .Update(update => update.Action("Coupons_Update", "Coupon"))
                                                  .Destroy(destroy => destroy.Action("Coupons_Destroy", "Coupon"))
                                              )
        )
    </div>
</div>



<script>
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })
        });
    }
    function Edit(e) {


        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[16]).hide();
        $(e.container["0"].firstChild.children[17]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن کوپن"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش کوپن"
            });
        }

        $(".Start,.End").pDatepicker({
            format: "YYYY/MM/DD HH:mm:ss",
            timePicker: {
                enabled: true
            },
            onSelect: function () {
                moment().format('jYYYY/jM/jD HH:mm:ss');
                var ww = moment($("." + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(), 'jYYYY/jM/jD HH:mm:ss')
                    .format('YYYY-M-D HH:mm:ss') // 2013-8-25 16:40:00
                $("#" + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(ww).trigger('change');
                //moment.loadPersian()
            }
        });
    }
    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }

</script>


